comedi_config(8)

NAME
comedi_config - COMEDI configuration utility

SYNOPSIS
comedi_config [OPTION]... /dev/comediN driver [param1[,param2]...]
comedi_config [OPTION]... -r /dev/comediN

DESCRIPTION
comedi_config is used to configure comedi drivers. You must have comedi support compiled into your kernel or loaded as a separate module in order to use this utility. Each control and measurement device is associated with a particular comedi device file /dev/comediN, where N is 0,1,2,3, etc. comedi_config allows you to associate a particular driver and device with a comedi device file, and also configure driver parameters for the particular device.

comedi_config can be used with optional parameters which are driver dependent. Parameters are specified by comma-delimited list of integers. The integers may be expressed as decimal, hexadecimal (starting with 0x) or octal (stating with 0). In addition, a parameter may be left blank, indicating 0. PCI-based devices typically require no parameters, although some allow you to specify the bus and slot of the card to configure as the first two parameters. ISA-based devices typically use the first and second parameters to indicate I/O base address and interrupt level.

More information about the parameters required by individual drivers can be found in the comedi documentation, in the file drivers.txt, and in the Kernel drivers (http://www.comedi.org/doc/lowleveldrivers.html) section of the Comedilib manual (http://www.comedi.org/doc/index.html).

OPTIONS

comedi_config recognizes the following options:

-q, --quiet
    Don't print output while running.

-v, --verbose
    Print verbose output while running.

-V, --version
    Print version number and exit.

-r, --remove
    Remove (unconfigure) previously configured device.

--read-buffer size
    Set read buffer size to size kilobytes. The default size is 64k.

--write-buffer size
    Set write buffer size to size kilobytes. The default size is 64k.

--subdevice-buffer num,size[,num,size]...
    Set subdevice num buffer size to size kilobytes. More than one num,size pair may be specified, and the option may be used several times.

-i, --init-data, --init-data0 file
    Upload initialization data (typically firmware) from file to board.

--init-data1 file

--init-data2 file

--init-data3 file
    Some drivers require more than one file for initialization data. Use these options to specify additional initialization data files. See the driver-specific documentation for further details.

CONFIGURATION FILE

[This section has not been implemented yet.]

A list of device configurations can be put into the file /etc/comedi.conf. This file takes the form:

    <device> <driver> <param1>,<param2>,...

These configurations will be read and performed when the switch -a is used. This is potentially useful when run from an initialization script.

EXAMPLES

A National Instruments PCI-MIO E series board can be configured to use /dev/comedi0 using the command:

    comedi_config /dev/comedi0 ni_pcimio

A National Instruments AT-MIO E series board can be configured to use /dev/comedi3 using the command:

    comedi_config /dev/comedi3 ni_atmio 0x220,3

This tells the driver that the board is configured for I/O base 0x220 and IRQ 3.

ADDITIONAL INFORMATION

Additional documentation may be found in the Configuration section (http://www.comedi.org/doc/install.html) of the Comedilib manual (http://www.comedi.org/doc/index.html).

SEE ALSO

comedi(7)

VERSION

0.11.x

AUTHOR

David Schleef (ds@schleef.org)